// game.js for Perlenspiel 3.1

// The following comment lines are for JSLint. Don't remove them!

/*jslint nomen: true, white: true */
/*global PS */

// This is a template for creating new Perlenspiel games

//   Project: Jewel Puzzle
// 	  Author: Alexis Barta
// 		Date: June 12, 2014

/* NOTES: 
// Add in red, green
// red and blue cancel each other, r-g-b toggles
// Red -> blue -> green -> red again

*/
var game = {
	level: 0,
	x: 0,
	y: 0,

}

/*var player = {
	x: 0,
	y: 0,
}

var endText1 = {
	message: "You finished the game!",
	color: PS.COLOR_BLACK,
}

var endText2 = {
	message: "Click to restart!",
	color: PS.COLOR_BLACK,
}*/
// BASE FUNCTIONS
function createPlayer()
{

	PS.glyph(player.x,player.y, "♞");
	
}

/*function endGame()
{
	game.level = 0;
	game.x = 24;
	game.y = 8;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL,PS.ALL,0);
	PS.color(PS.ALL, PS.ALL, PS.COLOR_WHITE);
	PS.data(PS.ALL, PS.ALL, "end");

	PrintText(1, 3, endText1);
	PrintText(4, 5, endText2);
}

function PrintText(x, y, text){
	var length = text.message.length;
	for (var i = 0; i < length; ++i){
		if (x+i < game.x){
			PS.glyph(x+i, y, text.message[i]);
			PS.glyphColor(x+i, y, text.color);
		}
	}
}*/

function loadLevel()
{
	if(game.level == 0)
	{
		level1();
	}
	else if(game.level == 1)
	{
		level2();
	}
	else if(game.level == 2)
	{
		level3();
	}
	else if(game.level == 3)
	{
		level4();
	}
	else if(game.level == 4)
	{
		level5();
	}
}

function resetLevel()
{
	if(game.level == 1)
	{
		level1();
	}
	else if(game.level == 2)
	{
		level2();
	}
	else if(game.level == 3)
	{
		level3();
	}
	else if(game.level == 4)
	{
		level4();
	}
	else if(game.level == 5)
	{
		level5();
	}
}

function Erase(x, y) // Erases Beads
{
	PS.color(x, y, PS.DEFAULT);
	PS.glyphColor(x, y, PS.DEFAULT);
	PS.glyph(x,y, "");
	PS.data(x, y, 0);
}

// LEVEL LOAD FUNCTIONS
function level1(){
	game.level = 1;
	game.x = 7;
	game.y = 12;

	player.x = 1;
	player.y = 1;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL, PS.ALL, 0);
	placeWallLv1();
	createPlayer();
	placeBDoorLv1();
	placebdKeyLv1();
	placeExitDoorLv1();

	upButton(3,8);
	downButton(3,10);
	leftButton(2,9);
	rightButton(4,9);
	resetButton(3,9);

}

function level2()
{
	game.level = 2;
	game.x = 9;
	game.y = 12;

	player.x = 1;
	player.y = 1;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL, PS.ALL, 0);
	placeWallLv2();
	createPlayer();
	placeBDoorLv2();
	placebdKeyLv2();
	//placeRDoorLv2();
	placerdKeyLv2();
	placeExitDoorLv2();

	upButton(4,9);
	downButton(4,11);
	leftButton(3,10);
	rightButton(5,10);
	resetButton(4,10);
}

function level3()
{
	game.level = 3;
	game.x = 11;
	game.y = 15;

	player.x = 1;
	player.y = 10;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL, PS.ALL, 0);
	placeWallLv3();
	createPlayer();
	//placeBDoorLv3();
	placebdKeyLv3();
	placeRDoorLv3();
	placerdKeyLv3();
	//placeGDoorLv3();
	placegdKeyLv3();
	placeExitDoorLv3();

	upButton(5,12);
	downButton(5,14);
	leftButton(4,13);
	rightButton(6,13);
	resetButton(5,13);
}

function level4()
{
	game.level = 4;
	game.x = 21;
	game.y = 15;

	player.x = 10;
	player.y = 5;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL, PS.ALL, 0);
	placeWallLv4();
	createPlayer();
	//placeBDoorLv4();
	placebdKeyLv4();
	placeRDoorLv4();
	placerdKeyLv4();
	//placeGDoorLv4();
	placegdKeyLv4();
	placeExitDoorLv4();

	upButton(10,12);
	downButton(10,14);
	leftButton(9,13);
	rightButton(11,13);
	resetButton(10,13);
}

function level5()
{
	game.level = 5;
	game.x = 21;
	game.y = 25;

	player.x = 10;
	player.y = 20;

	PS.gridSize(game.x,game.y);
	PS.border(PS.ALL, PS.ALL, 0);
	placeWallLv5();
	createPlayer();

	//placeBDoorLv5();
	placebdKeyLv5();
	//placeRDoorLv5();
	placerdKeyLv5();
	placeGDoorLv5(); //Starting with these up
	placegdKeyLv5();
	//placeODoor();
	placeodKey();

	placeExitDoorLv5();

	upButton(10,22);
	downButton(10,24);
	leftButton(9,23);
	rightButton(11,23);
	resetButton(10,23);
}



// BUTTONS
function upButton(x,y)
{
	PS.glyph(x,y, "⇑");
	PS.glyphColor(x,y, PS.COLOR_BLACK);
	PS.data(x,y,"up");
}
function downButton(x,y)
{
	PS.glyph(x,y, "⇓");
	PS.glyphColor(x,y, PS.COLOR_BLACK);
	PS.data(x,y,"down");
}
function leftButton(x,y)
{
	PS.glyph(x,y, "⇐");
	PS.glyphColor(x,y, PS.COLOR_BLACK);
	PS.data(x,y,"left");
}
function rightButton(x,y)
{
	PS.glyph(x,y, "⇒");
	PS.glyphColor(x,y, PS.COLOR_BLACK);
	PS.data(x,y,"right");
}
function resetButton(x,y)
{
	PS.glyph(x,y, "R");
	PS.glyphColor(x,y, PS.COLOR_RED);
	PS.data(x,y, "reset");
}

// WALL, DOOR, AND KEY CREATION
function wall(x,y)
{
	PS.color(x,y, PS.COLOR_BLACK);
	PS.data(x,y, "wall");
}

function exitDoor(x,y)
{
	PS.glyphColor(x,y, PS.COLOR_DARKGRAY);
	PS.glyph(x,y, "▩")
	PS.data(x,y, "exitDoor");
}

function blueDoor(x,y) // Blue door
{
	PS.glyphColor(x,y,PS.COLOR_BLUE);
	PS.glyph(x,y,"█");
	PS.data(x,y, "bDoor");
}

function redDoor(x,y) // Red door
{
	PS.glyphColor(x,y, PS.COLOR_RED);
	PS.glyph(x,y, "█")
	PS.data(x,y,"rDoor");
}

function greenDoor(x,y) // Green door
{
	PS.glyphColor(x,y,PS.COLOR_GREEN);
	PS.glyph(x,y,"█")
	PS.data(x,y,"gDoor");
}

function orangeDoor(x,y) // Orange door
{
	PS.glyphColor(x,y,PS.COLOR_ORANGE);
	PS.glyph(x,y,"█")
	PS.data(x,y,"oDoor");
}
function bDKey(x,y) // Blue door key
{
	PS.glyphColor(x,y, PS.COLOR_BLUE);
	PS.glyph(x,y, "◉");
	PS.data(x,y, "bDKey");
}

function rDKey(x,y) // Red door key
{
	PS.glyphColor(x,y, PS.COLOR_RED);
	PS.glyph(x,y, "◉");
	PS.data(x,y, "rDKey");
}

function gDKey(x,y) // Green door key
{
	PS.glyphColor(x,y, PS.COLOR_GREEN);
	PS.glyph(x,y, "◉");
	PS.data(x,y, "gDKey");
}

function oDKey(x,y) // Orange door key
{
	PS.glyphColor(x,y, PS.COLOR_ORANGE);
	PS.glyph(x,y, "◉");
	PS.data(x,y, "oDKey");
}



//LEVEL 1 PLACEMENTS
function placeBDoorLv1()
{
	blueDoor(5,1);
	blueDoor(5,5);
	blueDoor(2,3);
}
function placeWallLv1()
{
	wall(0, 0);
	wall(0, 1);
	wall(0, 2);
	wall(0, 3);
	wall(0, 4);
	wall(0, 5);
	wall(6, 5);
	wall(6, 4);
	wall(6, 2);
	wall(6, 1);
	wall(6, 0);
	wall(5, 0);
	wall(4, 0);
	wall(3, 0);
	wall(2, 0);
	wall(2, 0);
	wall(1, 0);
	wall(2, 2);
	wall(3, 2);
	wall(4, 2);
	wall(2, 4);
	wall(3, 4);
	wall(4, 4);
	wall(3, 6);
	wall(0, 6);
	wall(6, 6);
	wall(5, 6);
	wall(4, 6);
	wall(2, 6);
	wall(1, 6);
}
function placebdKeyLv1()
{
	bDKey(1,5);
}
function placeExitDoorLv1()
{
	exitDoor(6,3);
}

//LEVEL 2 PLACEMENTS
function placeWallLv2(){
	wall(0, 0);
	wall(0, 1);
	wall(0, 2);
	wall(0, 3);
	wall(0, 4);
	wall(0, 5);
	wall(0, 6);
	wall(0, 7);
	wall(8, 7);
	wall(8, 6);
	wall(8, 5);
	wall(8, 2);
	wall(8, 1);
	wall(8, 0);
	wall(7, 0);
	wall(5, 0);
	wall(6, 0);
	wall(1, 0);
	wall(8, 4);
	wall(2, 0);
	wall(3, 0);
	wall(4, 0);
	wall(1, 7);
	wall(2, 7);
	wall(3, 7);
	wall(4, 7);
	wall(5, 7);
	wall(6, 7);
	wall(7, 7);
	wall(3, 6);
	wall(3, 5);
	wall(3, 1);
	wall(3, 2);
	wall(3, 3);
	wall(4, 3);
	wall(5, 3);
	wall(6, 3);
	wall(6, 2);
	wall(1, 5);
	wall(1, 6);
	wall(2, 6);
	wall(2, 5);

}
function placebdKeyLv2()
{
	bDKey(2,3);
	bDKey(8,3);
}
function placeBDoorLv2()
{
	blueDoor(3,4);
	blueDoor(6,1);
}

function placeRDoorLv2()
{
	//redDoor(7,2);
	redDoor(7,4);
}

function placerdKeyLv2()
{
	rDKey(5,5);
}
function placeExitDoorLv2()
{
	exitDoor(4,2);
}

//LEVEL 3 PLACEMENTS
function placeWallLv3()
{
	wall(0, 0);
	wall(0, 1);
	wall(0, 3);
	wall(0, 2);
	wall(0, 4);
	wall(0, 5);
	wall(0, 6);
	wall(0, 7);
	wall(0, 8);
	wall(0, 9);
	wall(0, 10);
	wall(0, 11);
	wall(1, 11);
	wall(2, 11);
	wall(3, 11);
	wall(4, 11);
	wall(5, 11);
	wall(6, 11);
	wall(7, 11);
	wall(8, 11);
	wall(9, 11);
	wall(10, 11);
	wall(10, 10);
	wall(10, 9);
	wall(10, 8);
	wall(10, 7);
	wall(10, 6);
	wall(10, 5);
	wall(10, 4);
	wall(10, 3);
	wall(10, 2);
	wall(10, 1);
	wall(10, 0);
	wall(1, 0);
	wall(2, 0);
	wall(3, 0);
	wall(4, 0);
	wall(5, 0);
	wall(6, 0);
	wall(7, 0);
	wall(8, 0);
	wall(9, 0);

	wall(5, 1);
	wall(5, 3);
	wall(3, 5);
	wall(1, 5);
	wall(5, 7);
	wall(5, 9);
	wall(7, 5);
	wall(9, 5);
	wall(4, 4);
	wall(4, 5);
	wall(4, 6);
	wall(5, 6);
	wall(6, 6);
	wall(6, 4);
	wall(5, 4);
	wall(6, 5);

}

function placeBDoorLv3()
{

	blueDoor(5,2);

}

function placeRDoorLv3()
{
	redDoor(8,1);
	redDoor(9,2);

}

function placeGDoorLv3()
{
	greenDoor(8,5);

}

function placebdKeyLv3()
{
	bDKey(2, 7);


}

function placerdKeyLv3()
{
	rDKey(7 ,8);
}

function placegdKeyLv3()
{
	gDKey(2,3);

	
}

function placeExitDoorLv3()
{
	exitDoor(9,1);

}
//LEVEL 4 PLACEMENTS
function placeWallLv4()
{
	wall(9, 6);
	wall(11, 6);
	wall(11, 4);
	wall(9, 4);

	wall(PS.ALL, 11);
	wall(PS.ALL, 0);
	wall(1, 0);
	wall(2, 0);
	wall(3, 0);
	wall(4, 0);
	wall(5, 0);
	wall(1, 0);
	wall(2, 0);
	wall(3, 0);
	wall(4, 0);
	wall(5, 0);
	wall(0, 0);
	wall(0, 1);
	wall(0, 2);
	wall(0, 3);
	wall(0, 4);
	wall(0, 6);
	wall(0, 5);
	wall(0, 6);
	wall(0, 7);
	wall(0, 9);
	wall(0, 8);
	wall(0, 10);
	wall(20, 1);
	wall(20, 2);
	wall(20, 3);
	wall(20, 4);
	wall(20, 5);
	wall(20, 6);
	wall(20, 7);
	wall(20, 8);
	wall(20, 9);
	wall(20, 10);
	



}

function placeBDoorLv4()
{

	blueDoor(7, 2);
	blueDoor(7, 3);
	blueDoor(7, 4);
	blueDoor(7, 5);
	blueDoor(7, 6);
	blueDoor(7, 7);
	blueDoor(7, 8);
	blueDoor(8, 8);
	blueDoor(9, 8);
	blueDoor(10, 8);
	blueDoor(11, 8);
	blueDoor(12, 8);
	blueDoor(13, 8);
	blueDoor(14, 8);
	blueDoor(15, 8);
	blueDoor(16, 8);
	blueDoor(16, 7);
	blueDoor(16, 6);
	blueDoor(16, 5);
	blueDoor(16, 4);
	blueDoor(16, 3);
	blueDoor(16, 2);
	blueDoor(15, 2);
	blueDoor(14, 2);
	blueDoor(13, 2);
	blueDoor(12, 2);
	blueDoor(11, 2);
	blueDoor(10, 2);
	blueDoor(9, 2);
	blueDoor(8, 2);
	//blueDoor(4, 10);
	

}

function placeRDoorLv4()
{
	redDoor(8, 3);
	redDoor(9, 3);
	redDoor(10, 3);
	redDoor(11, 3);
	redDoor(12, 3);
	redDoor(12, 4);
	redDoor(12, 5);
	redDoor(12, 6);
	redDoor(12, 7);
	redDoor(11, 7);
	redDoor(10, 7);
	redDoor(9, 7);
	redDoor(8, 7);
	redDoor(8, 6);
	redDoor(8, 5);
	redDoor(8, 4);

}

function placeGDoorLv4()
{
	greenDoor(13, 4);
	greenDoor(13, 5);
	greenDoor(13, 6);
	greenDoor(14, 6);
	greenDoor(15, 6);
	greenDoor(15, 5);
	greenDoor(15, 4);
	greenDoor(14, 4);
	greenDoor(1, 7);
	greenDoor(2, 7);
	greenDoor(3, 7);
	greenDoor(4, 7);
	greenDoor(4, 8);
	greenDoor(4, 9);
	greenDoor(4, 10);


}

function placebdKeyLv4()
{

	bDKey(1, 10);
	bDKey(19, 1);

}

function placerdKeyLv4()
{
	rDKey(11,5);
	rDKey(10,4);
	rDKey(9,5);
	rDKey(10,6);
}

function placegdKeyLv4()
{

	gDKey(1, 1);
	gDKey(19, 10);
	
}

function placeExitDoorLv4()
{
	exitDoor(14,5);

}

//LEVEL 5 PLACEMENTS
function placeWallLv5()
{
	wall(PS.ALL, 21);
	wall(PS.ALL, 0);
	wall(0, 1);
	wall(0, 2);
	wall(0, 3);
	wall(0, 4);
	wall(0, 5);
	wall(0, 6);
	wall(0, 7);
	wall(0, 8);
	wall(0, 9);
	wall(0, 10);
	wall(0, 11);
	wall(0, 12);
	wall(0, 13);
	wall(0, 14);
	wall(0, 15);
	wall(0, 16);
	wall(0, 17);
	wall(0, 18);
	wall(0, 19);
	wall(0, 20);
	wall(20, 1);
	wall(20, 2);
	wall(20, 3);
	wall(20, 4);
	wall(20, 5);
	wall(20, 6);
	wall(20, 7);
	wall(20, 8);
	wall(20, 9);
	wall(20, 10);
	wall(20, 11);
	wall(20, 12);
	wall(20, 13);
	wall(20, 14);
	wall(20, 15);
	wall(20, 16);
	wall(20, 17);
	wall(20, 18);
	wall(20, 19);
	wall(20, 20);

	wall(6, 1);
	wall(6, 2);
	wall(6, 3);
	wall(14, 1);
	wall(14, 2);
	wall(14, 3);
	wall(8, 20);
	wall(8, 19);
	wall(12, 20);
	wall(12, 19);
	wall(12, 18);
	wall(8, 18);

	wall(8, 14);
	wall(8, 13);
	wall(8, 12);
	wall(6, 12);
	wall(4, 12);
	wall(3, 12);
	wall(5, 12);
	wall(7, 12);
	wall(15, 14);
	wall(15, 13);
	wall(15, 13);
	wall(15, 12);
	wall(17, 12);
	wall(16, 12);
	wall(18, 12);
	wall(11, 12);
	wall(11, 13);
	wall(11, 14);
	wall(12, 14);
	wall(12, 13);
	wall(12, 12);
	
	wall(8, 3);
	wall(9, 3);
	wall(9, 4);
	wall(12, 3);
	wall(11, 3);
	wall(11, 4);

	wall(3, 15);
	wall(3, 16);
	wall(3, 18);
	wall(3, 17);
	wall(4, 18);
	wall(5, 18);
	wall(6, 18);
	wall(15, 18);
	wall(15, 17);
	wall(16, 17);
	wall(17, 17);
	wall(18, 17);
	wall(15, 19);
	wall(7, 16);
	wall(8, 16);
	wall(9, 16);
	wall(12, 16);
	wall(12, 16);
	wall(13, 16);
	wall(6, 16);

	wall(6, 6);
	wall(7, 7);
	wall(14, 6);
	wall(13, 7);
	wall(8, 8);
	wall(12, 8);
	wall(10, 9);
	wall(3, 7);
	wall(2, 8);
	wall(17, 7);
	wall(18, 8);

	wall(2, 18);
	wall(1, 18);
	wall(19, 17);

}

function placeBDoorLv5()
{
	blueDoor(16, 1);
	blueDoor(16, 2);
	blueDoor(16, 3);
	blueDoor(16, 4);
	blueDoor(17, 4);
	blueDoor(18, 4);
	blueDoor(19, 4);
	blueDoor(1, 7);
	blueDoor(2, 7);

	blueDoor(13, 12);
	blueDoor(14, 12);
	blueDoor(19, 12);


}

function placeRDoorLv5()
{

	redDoor(6, 4);
	redDoor(6, 5);
	redDoor(9, 8);
	redDoor(11, 8);
	redDoor(14, 5);
	redDoor(14, 4);
	redDoor(1,15);
	redDoor(2,15);
	redDoor(18, 7);
	redDoor(19, 7);

}

function placeGDoorLv5()
{

	greenDoor(5, 19);
	greenDoor(5, 20);
	greenDoor(15, 20);
	greenDoor(7, 3);
	greenDoor(10, 4);
	greenDoor(13, 3);
	greenDoor(4, 7);
	greenDoor(5, 7);
	greenDoor(6, 7);

	greenDoor(1, 12);
	greenDoor(2, 12);
	greenDoor(9, 12);
	greenDoor(10, 12);


}

function placeODoor()
{
	orangeDoor(4, 16);
	orangeDoor(5, 16);
	orangeDoor(10, 16);
	orangeDoor(11, 16);
	orangeDoor(14, 16);
	orangeDoor(14, 7);
	orangeDoor(15, 7);
	orangeDoor(16, 7);


}

function placebdKeyLv5()
{
	bDKey(1,17);
	bDKey(1, 1);
	bDKey(5, 1);

	bDKey(3, 2);
	bDKey(1, 3);
	bDKey(5, 3);
	bDKey(3, 4);
	bDKey(1, 5);
	bDKey(5, 5);
	bDKey(18, 5);
	bDKey(3, 6);
	bDKey(16, 6);

}

function placerdKeyLv5()
{
	rDKey(8, 4);
	rDKey(7, 5);
	rDKey(8, 6);
	rDKey(9, 6);
	rDKey(10, 5);
	rDKey(13, 4);
	rDKey(12, 6);
	rDKey(11,6);
	rDKey(18,2);

	rDKey(4, 1);
	rDKey(2, 2);
	rDKey(4, 3);
	rDKey(2, 4);
	rDKey(4, 5);
	rDKey(2, 6);
	rDKey(15, 2);
	rDKey(15, 4);
	rDKey(17, 5);
	rDKey(15, 6);
	rDKey(19, 6);


}

function placegdKeyLv5()
{

	gDKey(9, 18);
	gDKey(10, 18);
	gDKey(11, 18);
	gDKey(7, 4);
	gDKey(8, 5);
	gDKey(7, 6);
	gDKey(12, 5);
	gDKey(10, 7);
	gDKey(13, 5);
	gDKey(13, 6);
	gDKey(12,7);
	gDKey(8,7);
	gDKey(10,6);

	gDKey(3, 1);
	gDKey(1, 2);
	gDKey(5, 2);
	gDKey(3, 3);
	gDKey(1, 4);
	gDKey(5, 4);
	gDKey(3, 5);
	gDKey(16, 5);
	gDKey(1, 6);
	gDKey(5, 6);
	gDKey(18, 6);

	
}

function placeodKey()
{
	oDKey(1, 20);
	oDKey(19, 20);
	oDKey(9, 5);
	oDKey(9, 7);
	oDKey(11, 7);
	oDKey(12, 4);
	oDKey(11, 5);

	oDKey(2, 1);
	oDKey(15, 1);
	oDKey(4, 2);
	oDKey(2, 3);
	oDKey(15, 3);
	oDKey(4, 4);
	oDKey(2, 5);
	oDKey(15, 5);
	oDKey(19, 5);
	oDKey(4, 6);
	oDKey(17, 6);

	gDKey(2, 10);
	bDKey(4, 9);
	oDKey(6, 10);
	rDKey(16, 10);
	bDKey(15, 8);
	oDKey(10, 11);
	rDKey(10, 13);
	gDKey(6, 14);
	oDKey(2, 14);
	rDKey(13, 14);
	gDKey(17, 15);
	bDKey(17, 13);
	rDKey(19, 14);
	gDKey(6, 9);
	bDKey(14, 11);
	oDKey(5,8);


}

function placeExitDoorLv5()
{
	exitDoor(10,1);

}

// All of the functions below MUST exist, or the engine will complain!

PS.init = function( system, options ) {
	"use strict";

	// Use PS.gridSize( x, y ) to set the grid to
	// the initial dimensions you want (32 x 32 maximum)
	// Do this FIRST to avoid problems!
	// Otherwise you will get the default 8x8 grid
	loadLevel();

	// Add any other initialization code you need here
};


PS.touch = function( x, y, data, options ) {
	"use strict";
	//wall(x,y);

	// Uncomment the following line to inspect parameters
	//PS.debug( "wall(" + x + ", " + y + ");\n" );
	PS.debug("data is " + data +"\n");
	// Add code here for mouse clicks/touches over a bead

	var oldx = player.x;
	var oldy = player.y;

	Erase(player.x,player.y);

	
	if( data == "up" && player.y > 0 )
	{
		player.y = player.y - 1;
	}

	if( data == "down" && player.y < game.y - 1 )
	{
		player.y = player.y + 1;
	}

	if( data == "left" && player.x > 0 )
	{
		player.x = player.x - 1;
	}

	if(data == "right" && player.x < game.x - 1)
	{
		player.x = player.x + 1;
	}

	if(data == "reset")
	{
		resetLevel();
	}
	/*if(data == "end")
	{
		PS.init();
	}*/

	var dataAtPlayer = PS.data(player.x,player.y);

	if (dataAtPlayer == "wall")
	{
		player.x = oldx;
		player.y = oldy;

	}
	if (dataAtPlayer == "bDoor")
	{
		player.x = oldx;
		player.y = oldy;
	}
	if (dataAtPlayer == "rDoor")
	{
		player.x = oldx;
		player.y = oldy;
	}
	if (dataAtPlayer == "gDoor")
	{
		player.x = oldx;
		player.y = oldy;
	}
	if (dataAtPlayer == "oDoor")
	{
		player.x = oldx;
		player.y = oldy;
	}
	if (dataAtPlayer == "bDKey") // Deletes blue doors, and toggles red
	{
		if(game.level == 1)
		{
			// No red doors this level, just erase 
			Erase(5,1);
			Erase(5,5);
			Erase(2,3);
		}
		else if(game.level == 2)
		{
			Erase(3,4);
			Erase(5,6);
			Erase(6,1);

			placeRDoorLv2();
		}
		else if(game.level == 3)
		{
		
			Erase(5,2);
			placeGDoorLv3();


		}
		else if(game.level == 4)
		{
			Erase(7, 2);
			Erase(7, 3);
			Erase(7, 4);
			Erase(7, 5);
			Erase(7, 6);
			Erase(7, 7);
			Erase(7, 8);
			Erase(8, 8);
			Erase(9, 8);
			Erase(10, 8);
			Erase(11, 8);
			Erase(12, 8);
			Erase(13, 8);
			Erase(14, 8);
			Erase(15, 8);
			Erase(16, 8);
			Erase(16, 7);
			Erase(16, 6);
			Erase(16, 5);
			Erase(16, 4);
			Erase(16, 3);
			Erase(16, 2);
			Erase(15, 2);
			Erase(14, 2);
			Erase(13, 2);
			Erase(12, 2);
			Erase(11, 2);
			Erase(10, 2);
			Erase(9, 2);
			Erase(8, 2);
			Erase(4, 10);

			placeRDoorLv4();

		}
		else if(game.level == 5)
		{
			Erase(16, 1);
			Erase(16, 2);
			Erase(16, 3);
			Erase(16, 4);
			Erase(17, 4);
			Erase(18, 4);
			Erase(19, 4);
			Erase(1, 7);
			Erase(2, 7);

			Erase(13, 12);
			Erase(14, 12);
			Erase(19, 12);

			placeRDoorLv5();

		}

		
	}
	if (dataAtPlayer == "rDKey") // Deletes Red doors
	{
		if(game.level == 2)
		{
			Erase(7,2);
			Erase(7,4);

			placeBDoorLv2();
		}
		else if(game.level == 3)
		{
			
			Erase(8,1);
			Erase(9,2);
			placeBDoorLv3();
			placeGDoorLv3();

		}
		else if(game.level == 4)
		{
			Erase(8, 3);
			Erase(9, 3);
			Erase(10, 3);
			Erase(11, 3);
			Erase(12, 3);
			Erase(12, 4);
			Erase(12, 5);
			Erase(12, 6);
			Erase(12, 7);
			Erase(11, 7);
			Erase(10, 7);
			Erase(9, 7);
			Erase(8, 7);
			Erase(8, 6);
			Erase(8, 5);
			Erase(8, 4);

			placeGDoorLv4();

		}
		else if(game.level == 5)
		{
			Erase(6, 4);
			Erase(6, 5);
			Erase(9, 8);
			Erase(11, 8);
			Erase(14, 5);
			Erase(14, 4);
			Erase(1,15);
			Erase(2,15);
			Erase(18, 7);
			Erase(19, 7);

			placeGDoorLv5();
			
		}

	
	}

	if (dataAtPlayer == "gDKey") // Deletes Green doors
	{
		if(game.level == 3)
		{
	
			Erase(8,5);

			placeBDoorLv3();

		}
		else if(game.level == 4)
		{
			Erase(13, 4);
			Erase(13, 5);
			Erase(13, 6);
			Erase(14, 6);
			Erase(15, 6);
			Erase(15, 5);
			Erase(15, 4);
			Erase(14, 4);
			Erase(1, 7);
			Erase(2, 7);

			Erase(3, 7);
			Erase(4, 7);
			Erase(4, 8);
			Erase(4, 9);
			Erase(4, 10);

			placeBDoorLv4();

		}
		else if(game.level == 5)
		{
			Erase(5, 19);
			Erase(5, 20);
			Erase(15, 20);
			Erase(7, 3);
			Erase(10, 4);
			Erase(13, 3);
			Erase(4, 7);
			Erase(5, 7);
			Erase(6, 7);

			Erase(1, 12);
			Erase(2, 12);
			Erase(9, 12);
			Erase(10, 12);

			placeODoor();
			
		}

	}
	if (dataAtPlayer == "oDKey")
	{
		if(game.level == 5)
		{
			Erase(4, 16);
			Erase(5, 16);
			Erase(10, 16);
			Erase(11, 16);
			Erase(14, 16);
			Erase(14, 7);
			Erase(15, 7);
			Erase(16, 7);

			placeBDoorLv5();

		}
	}


	if (dataAtPlayer == "exitDoor")
	{
		if(game.level == 5)
		{
			//endGame();

		else 
		{
			loadLevel();
			game.level + 1;
		}
	}


	createPlayer();

	
};


PS.release = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.release() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse button/touch is released over a bead
};


PS.enter = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.enter() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse cursor/touch enters a bead
};


PS.exit = function( x, y, data, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.exit() @ " + x + ", " + y + "\n" );

	// Add code here for when the mouse cursor/touch exits a bead
};


PS.exitGrid = function( options ) {
	"use strict";

	// Uncomment the following line to verify operation
	// PS.debug( "PS.exitGrid() called\n" );

	// Add code here for when the mouse cursor/touch moves off the grid
};


PS.keyDown = function( key, shift, ctrl, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	//	PS.debug( "DOWN: key = " + key + ", shift = " + shift + "\n" );

	// Add code here for when a key is pressed
};


PS.keyUp = function( key, shift, ctrl, options ) {
	"use strict";

	// Uncomment the following line to inspect parameters
	// PS.debug( "PS.keyUp(): key = " + key + ", shift = " + shift + ", ctrl = " + ctrl + "\n" );

	// Add code here for when a key is released
};

PS.input = function( sensors, options ) {
	"use strict";

	// Uncomment the following block to inspect parameters
	/*
	PS.debug( "PS.input() called\n" );
	var device = sensors.wheel; // check for scroll wheel
	if ( device )
	{
		PS.debug( "sensors.wheel = " + device + "\n" );
	}
	*/
	
	// Add code here for when an input event is detected
};

